package com.duben.roseplaylet.ui.activitys

import android.graphics.Color
import android.view.View
import com.duben.library.utils.nodoubleclick.AntiShake
import com.duben.roseplaylet.R
import com.duben.roseplaylet.ui.activitys.base.BaseActivity
import kotlinx.android.synthetic.main.activity_auth_center.*
import kotlinx.android.synthetic.main.header_layout.*

class AuthCenterActivity : BaseActivity(), View.OnClickListener {

    override fun getContentViewLayoutID() = R.layout.activity_auth_center

    override fun initViewsAndEvents() {

        initHeader()
        initListener()
    }

    private fun initHeader() {
        tv_title.text = "认证中心"
        tv_title.setTextColor(Color.WHITE)
        iv_left_icon.visibility = View.VISIBLE
        iv_left_icon.setImageResource(R.mipmap.ic_arrow_white)
        line.visibility = View.GONE
    }

    private fun initListener() {
        iv_left_icon.setOnClickListener(this)
        iv_auth_avatar.setOnClickListener(this)
        iv_auth_beauty.setOnClickListener(this)
    }

    override fun isApplyKitKatTranslucency() = false

    override fun onClick(v: View?) {
        if (AntiShake.check(v?.id)) return

        when (v?.id) {
            R.id.iv_left_icon -> finish()
            R.id.iv_auth_avatar -> {
                readyGo(RealAuthActivity::class.java)
            }
        }
    }
}