package com.duben.roseplaylet.ui.activitys

import android.content.Intent
import android.graphics.Color
import android.text.TextUtils
import android.view.View
import com.duben.library.utils.nodoubleclick.AntiShake
import com.duben.roseplaylet.R
import com.duben.roseplaylet.common.Constant
import com.duben.roseplaylet.mvp.presenters.WriteMoodPresenter
import com.duben.roseplaylet.mvp.views.WriteMoodView
import com.duben.roseplaylet.ui.activitys.base.BaseActivity
import kotlinx.android.synthetic.main.activity_write_signature.*
import kotlinx.android.synthetic.main.header_layout.*

/**
 * 描述：个性签名
 */
class WriteSignatureActivity : BaseActivity(), View.OnClickListener, WriteMoodView {

    private val writeMoodPresenter by lazy { WriteMoodPresenter() }

    override fun getContentViewLayoutID() = R.layout.activity_write_signature

    override fun isApplyKitKatTranslucency() = false

    override fun initViewsAndEvents() {
        writeMoodPresenter.attachView(this)
        tv_title.text = "个性签名"
        tv_title.setTextColor(Color.WHITE)
        iv_left_icon.visibility = View.VISIBLE
        iv_left_icon.setImageResource(R.mipmap.ic_arrow_white)
        line.visibility = View.GONE

        initListener()
    }

    override fun onClick(v: View?) {
        if (AntiShake.check(v?.id)) return

        when (v?.id) {
            R.id.iv_left_icon -> finish()
            R.id.btn_publish -> {
                val toString = et_mood.text.toString()
                if (TextUtils.isEmpty(toString)) {
                    showToast("请输入个性签名")
                    return
                }

                setResult(
                    Constant.EDIT_PROFILE_CODE,
                    Intent().putExtra(Constant.EDIT_PROFILE_SIGNATURE_STR, toString)
                )
                onBackPressed()
            }
        }
    }

    private fun initListener() {
        iv_left_icon.setOnClickListener(this)
        btn_publish.setOnClickListener(this)
    }

    override fun onDestroy() {
        super.onDestroy()
        writeMoodPresenter.detachView()
    }
}
