package com.duben.roseplaylet.ui.adapter

import android.view.View
import android.widget.ImageView
import com.chad.library.adapter.base.BaseMultiItemQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.duben.library.utils.GlideUtils
import com.duben.roseplaylet.R
import com.duben.roseplaylet.mvp.model.*

/**
 *  @author Assen
 *  @date 2024/1/9
 *  @desc
 */
class AlbumAdapter : BaseMultiItemQuickAdapter<ImageMultiItemEntity, BaseViewHolder>() {

    init {
        addItemType(IMAGE_MULTI_ITEM_ADD, R.layout.item_album_add)
        addItemType(IMAGE_MULTI_ITEM_NORMAL, R.layout.item_album_normal)
    }

    override fun convert(holder: BaseViewHolder, item: ImageMultiItemEntity) {
        when (holder.itemViewType) {
            IMAGE_MULTI_ITEM_ADD -> {
                holder.getView<View>(R.id.iv_add).setOnClickListener {
                    mOnAlbumClickListener?.onAddClick()
                }
            }
            IMAGE_MULTI_ITEM_NORMAL -> {
                val iv = holder.getView<ImageView>(R.id.iv_normal)
                iv.setOnClickListener {
                    mOnAlbumClickListener?.onImageClick(holder.adapterPosition)
                }
                iv.setOnLongClickListener {
                    mOnAlbumClickListener?.onDeleteClick(holder.adapterPosition)
                    return@setOnLongClickListener true
                }
                GlideUtils.loadImageViewNoAnim2(context, item.img, iv)
            }
        }
    }

    private var mOnAlbumClickListener: OnAlbumClickListener? = null

    fun setOnAlbumClickListener(onAlbumClickListener: OnAlbumClickListener) {
        mOnAlbumClickListener = onAlbumClickListener
    }

    interface OnAlbumClickListener {
        fun onDeleteClick(position: Int)
        fun onAddClick()
        fun onImageClick(position: Int)
    }
}