package com.duben.roseplaylet.ui.adapter

import android.widget.TextView
import androidx.core.content.ContextCompat
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.duben.roseplaylet.R
import com.duben.roseplaylet.mvp.model.*

class CoinAdapter : BaseQuickAdapter<VipBean.ListBean, BaseViewHolder>(R.layout.item_coin) {

    var selectPosition: Int = 0

    init {
        if (data.size > 0) {
            for (i in 0 until data.size) {
                if (data[i].activityType == 1) {
                    selectPosition = i
                    break
                }
            }
        }
    }

    override fun convert(holder: BaseViewHolder, item: VipBean.ListBean) {
        val viewCoin = holder.getView<TextView>(R.id.item_coin)
        viewCoin.text = item.title
        holder.getView<TextView>(R.id.item_cash).text = "" + item.firstPayPrice

        if (holder.adapterPosition == selectPosition) {
            viewCoin.setTextColor(ContextCompat.getColor(context, R.color.color_EBCA7B))
        } else {
            viewCoin.setTextColor(ContextCompat.getColor(context, R.color.graya))
        }

    }

    fun getPosition() = selectPosition

    fun setPosition(selectPosition: Int) {
        this.selectPosition = selectPosition
    }

}