package com.duben.roseplaylet.ui.fragment

import android.os.Bundle
import androidx.fragment.app.Fragment
import com.duben.roseplaylet.R
import com.duben.roseplaylet.mvp.model.HallList
import com.duben.roseplaylet.mvp.model.UserList
import com.duben.roseplaylet.mvp.presenters.CommonPresenter
import com.duben.roseplaylet.mvp.views.CommonView
import com.duben.roseplaylet.ui.activitys.CommonTabActivity
import com.duben.roseplaylet.ui.fragment.base.LazyLoadBaseFragment
import com.scwang.smartrefresh.layout.api.RefreshLayout
import com.scwang.smartrefresh.layout.listener.OnRefreshListener

class CommonListFragment : LazyLoadBaseFragment(), OnRefreshListener, CommonView {

    companion object {
        private const val FRAGMENT_COMMON_TYPE = "FRAGMENT_COMMON_TYPE"

        fun newInstance(type: String): Fragment {
            val args = Bundle()
            args.putString(FRAGMENT_COMMON_TYPE, type)
            val fragment = CommonListFragment()
            fragment.arguments = args
            return fragment
        }
    }


    private val commonPresenter by lazy { CommonPresenter() }

    private var mType = CommonTabActivity.ACTIVITY_TYPE_YZR

    override fun initViewsAndEvents() {
        commonPresenter.attachView(this)

        arguments?.run {
            mType = getString(FRAGMENT_COMMON_TYPE, CommonTabActivity.ACTIVITY_TYPE_YZR)
        }

        when (mType) {
            CommonTabActivity.ACTIVITY_TYPE_YZR -> initYzr()
            else -> {}
        }
    }

    private fun initYzr() {

    }

    override fun getContentViewLayoutID() = R.layout.fragment_common_tab

    override fun onFragmentFirstVisible() {
        super.onFragmentFirstVisible()

    }

    override fun onRefresh(refreshLayout: RefreshLayout) {
        refreshLayout.finishRefresh()
    }

    override fun onDestroyView() {
        super.onDestroyView()
        commonPresenter.detachView()
    }


    override fun getCommonDataSuc(data: UserList) {
        TODO("Not yet implemented")
    }

    override fun getCommonDataFail() {

    }
}