package com.duben.roseplaylet.ui.widgets

import android.app.Dialog
import android.content.Context
import android.view.Gravity
import android.view.KeyEvent
import android.view.View
import android.view.WindowManager
import android.widget.ImageView
import android.widget.TextView
import com.duben.roseplaylet.R

class DeletePhotoConfirmDialog(
    private val context: Context,
    private val listener: DialogListener?
) :
    Dialog(context, R.style.dialog) {
    private val lp: WindowManager.LayoutParams

    private val tv_confirm: TextView
    private val iv_close: ImageView

    init {
        setContentView(R.layout.dialog_delete_photo_confirm)
        // 设置window属性
        lp = window!!.attributes
        lp.gravity = Gravity.CENTER
        lp.width = WindowManager.LayoutParams.MATCH_PARENT
        lp.windowAnimations = R.style.DialogAnimFade
        window!!.attributes = lp

        // 设置外部不可关闭
        setCancelable(false)
        setCanceledOnTouchOutside(false)
        setOnKeyListener { _, i, _ -> i == KeyEvent.KEYCODE_BACK }

        tv_confirm = findViewById<View>(R.id.tv_confirm) as TextView
        iv_close = findViewById<View>(R.id.iv_close) as ImageView

        iv_close.setOnClickListener(listener)
        tv_confirm.setOnClickListener(listener)
        listener?.setDialog(this)
    }
}