package com.duben.roseplaylet.ui.widgets

import android.app.Dialog
import android.content.Context
import android.content.Intent
import android.view.Gravity
import android.view.KeyEvent
import android.view.WindowManager
import android.widget.ImageView
import android.widget.TextView
import com.duben.roseplaylet.R
import com.duben.roseplaylet.ui.activitys.RealAuthActivity

class RealAuthDialog(private val context: Context) : Dialog(
    context, R.style.dialog
) {
    private val lp: WindowManager.LayoutParams
    private val iv_close: ImageView
    private val tv_to_auth: TextView

    init {
        setContentView(R.layout.dialog_real_auth)
        // 设置window属性
        lp = window!!.attributes
        lp.gravity = Gravity.CENTER
        lp.width = WindowManager.LayoutParams.MATCH_PARENT
        lp.windowAnimations = R.style.DialogAnimFade
        window!!.attributes = lp

        // 设置外部不可关闭
        setCancelable(false)
        setCanceledOnTouchOutside(false)
        setOnKeyListener { _, i, _ -> i == KeyEvent.KEYCODE_BACK }


        // 查找View
        iv_close = findViewById(R.id.iv_close)
        tv_to_auth = findViewById(R.id.tv_to_auth)
        iv_close.setOnClickListener {
            dismiss()
        }
        tv_to_auth.setOnClickListener {
            val intent = Intent(context, RealAuthActivity::class.java)
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            context.startActivity(intent)
            dismiss()
        }

    }

}