package com.duben.roseplaylet.ui.widgets

import android.app.Dialog
import android.content.Context
import android.view.Gravity
import android.view.KeyEvent
import android.view.View
import android.view.WindowManager
import android.widget.ImageView
import android.widget.TextView
import com.duben.library.utils.GlideUtils
import com.duben.roseplaylet.R

class SeeWechatDialog(
    private val context: Context,
    private val headUrl: String?,
    private val nickname: String?,
    private val wechatCode: String?,
    private val listener: DialogListener?
) :
    Dialog(context, R.style.dialog) {
    private val lp: WindowManager.LayoutParams

    private val tv_wechat_code: TextView
    private val tv_nickname: TextView
    private val tv_send_btn: TextView
    private val tv_copy: TextView
    private val iv_close: ImageView
    private val iv_avatar: ImageView

    init {
        setContentView(R.layout.dialog_see_wechat)
        // 设置window属性
        lp = window!!.attributes
        lp.gravity = Gravity.CENTER
        lp.width = WindowManager.LayoutParams.MATCH_PARENT
        lp.windowAnimations = R.style.DialogAnimFade
        window!!.attributes = lp

        // 设置外部不可关闭
        setCancelable(false)
        setCanceledOnTouchOutside(false)
        setOnKeyListener { _, i, _ -> i == KeyEvent.KEYCODE_BACK }

        tv_send_btn = findViewById<View>(R.id.tv_send_btn) as TextView
        tv_nickname = findViewById<View>(R.id.tv_nickname) as TextView
        tv_wechat_code = findViewById<View>(R.id.tv_wechat_code) as TextView
        tv_copy = findViewById<View>(R.id.tv_copy) as TextView

        iv_close = findViewById<View>(R.id.iv_close) as ImageView
        iv_avatar = findViewById<View>(R.id.iv_avatar) as ImageView


        tv_nickname.text = nickname
        tv_wechat_code.text = wechatCode

        GlideUtils.loadImageView(context, headUrl, iv_avatar)

        iv_close.setOnClickListener {
            dismiss()
        }
        listener?.setDialog(this)

        tv_send_btn.setOnClickListener(listener)
        tv_copy.setOnClickListener(listener)
    }
}