package com.duben.roseplaylet.ui.widgets

import android.app.Dialog
import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import android.widget.TextView
import com.duben.roseplaylet.R

class ToBlackDialog(
    private val context: Context,
    private val isBlack: Boolean,
    private val listener: DialogListener
) : Dialog(context, R.style.dialog) {
    private val lp: WindowManager.LayoutParams
    private val tv_to_black: TextView
    private val tv_cancel: TextView

    init {
        setContentView(R.layout.dialog_to_black)
        // 设置window属性
        lp = window!!.attributes
        lp.gravity = Gravity.BOTTOM
        lp.width = WindowManager.LayoutParams.MATCH_PARENT
        lp.windowAnimations = R.style.DialogAnimBottom
        window!!.attributes = lp

        // 查找View
        tv_to_black = findViewById<View>(R.id.tv_to_black) as TextView
        tv_cancel = findViewById<View>(R.id.tv_cancel) as TextView

        if (isBlack) {
            tv_to_black.text = "拉黑（屏蔽对方）"
        } else {
            tv_to_black.text = "移出黑名单（取消屏蔽）"
        }

        tv_to_black.setOnClickListener(listener)
        tv_cancel.setOnClickListener(listener)
        listener.setDialog(this)
    }
}