package com.duben.roseplaylet.ui.widgets

import android.app.Dialog
import android.content.Context
import android.view.Gravity
import android.view.KeyEvent
import android.view.View
import android.view.WindowManager
import android.widget.ImageView
import android.widget.TextView
import com.duben.library.utils.GlideUtils
import com.duben.roseplaylet.R

class UnlockWechatDialog(
    private val context: Context,
    private val headUrl: String?,
    private val listener: DialogListener?
) :
    Dialog(context, R.style.dialog) {
    private val lp: WindowManager.LayoutParams

    private val tv_vip_btn: TextView
    private val tv_vip_coin: TextView
    private val iv_close: ImageView
    private val iv_avatar: ImageView

    init {
        setContentView(R.layout.dialog_unlock_wechat)
        // 设置window属性
        lp = window!!.attributes
        lp.gravity = Gravity.CENTER
        lp.width = WindowManager.LayoutParams.MATCH_PARENT
        lp.windowAnimations = R.style.DialogAnimFade
        window!!.attributes = lp

        // 设置外部不可关闭
        setCancelable(false)
        setCanceledOnTouchOutside(false)
        setOnKeyListener { _, i, _ -> i == KeyEvent.KEYCODE_BACK }

        tv_vip_btn = findViewById<View>(R.id.tv_vip_btn) as TextView
        tv_vip_coin = findViewById<View>(R.id.tv_vip_coin) as TextView
        iv_close = findViewById<View>(R.id.iv_close) as ImageView
        iv_avatar = findViewById<View>(R.id.iv_avatar) as ImageView

        GlideUtils.loadImageView(context, headUrl, iv_avatar)

        iv_close.setOnClickListener {
            dismiss()
        }
        listener?.setDialog(this)
        tv_vip_btn.setOnClickListener(listener)
        tv_vip_coin.setOnClickListener(listener)
    }
}