package com.duben.roseplaylet.utils

import android.content.Context
import com.duben.roseplaylet.mvp.model.*
import com.google.gson.Gson
import com.orhanobut.logger.Logger
import org.json.JSONArray

object JobData {

    fun getJsonData(context: Context): JobMultiItemEntity {
        val data = JobMultiItemEntity()
        try {
            val options2Items = arrayListOf<ArrayList<String>>()
            //解析数据
            val JsonData: String = GetJsonDataUtil().getJson(context, "job.json")
            val jsonBean: ArrayList<JobBean> = parseData(JsonData)

            data.options1Items = jsonBean

            for (i in jsonBean.indices) { //遍历省份
                val cityList = ArrayList<String>() //该省的城市列表（第二级）
                for (c in 0 until jsonBean[i].name.size) { //遍历该省份的所有城市
                    val cityName = jsonBean[i].name[c]
                    cityList.add(cityName.toString()) //添加城市
                }
                /**
                 * 添加城市数据
                 */
                options2Items.add(cityList)
            }
            data.options2Items = options2Items
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return data
    }

    /**
     * 解析省市
     */
    fun getJsonDataForProvince(context: Context): JobMultiItemEntity {
        val data = JobMultiItemEntity()
        try {
            //解析数据
            data.options1Items = parseData(GetJsonDataUtil().getJson(context, "job.json"))
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return data
    }

    private fun parseData(result: String?): ArrayList<JobBean> { //Gson 解析
        val detail = arrayListOf<JobBean>()
        try {
            val data = JSONArray(result)
            val gson = Gson()
            for (i in 0 until data.length()) {
                val entity = gson.fromJson(data.optJSONObject(i).toString(), JobBean::class.java)
                detail.add(entity)
            }
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return detail
    }
}